/* jcifs smb client library in Java
 * Copyright (C) 2002  "Michael B. Allen" <jcifs at samba dot org>
 *                   "Eric Glass" <jcifs at samba dot org>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jcifs.http;

import java.security.Principal;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletRequestWrapper;

public class AuthenticatedRequest extends HttpServletRequestWrapper {

	private final Principal principal;

    private final String authType;

	public AuthenticatedRequest(HttpServletRequest request, Principal principal,
            String authType) {
		super((request instanceof AuthenticatedRequest) ? (HttpServletRequest)
                ((AuthenticatedRequest) request).getRequest() : request);
		this.principal = principal;
        this.authType = authType;
	}

	public String getRemoteUser() {
        String name = principal.getName();
        if (name == null) return null;
        int index = name.indexOf('@');
        return (index != -1) ? name.substring(0, index) : name;
	}

	public Principal getUserPrincipal() {
		return principal;
	}

	public String getAuthType() {
		return authType;
	}

}

